public class Producer implements Runnable {

	private Thread thread;
	private Buffer buf;

	public Producer(Buffer b) {
		this.buf = b;
	}

	public void start() {
		this.thread = new Thread(this);
		this.thread.start();
	}

	@Override
	public void run() {
		String alphabet = "abcdefghijklmnopqrstuvwxyz";
		int ai = 0;
		try {
			while (true) {
				Thread.sleep(500); // hier Unterbrechnung moeglich
				Character c = new Character(alphabet.charAt(ai)); // produce
				this.buf.put(c);
				ai = (ai + 1) % alphabet.length();
			}
		}
		catch (InterruptedException e) {
			e.printStackTrace();
		}
	}
}
